/***************************************************************************
 *   Copyright (C) 2004 by Murray Evans                                    *
 *   m.evans@rdg.ac.uk                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "FreeBooter.h"
#include "Dazzle.h"
#include <ctime>
using namespace std;
CFreebooter FB;

int main(int argc, char *argv[])
{
	// initialise Dazzle (Freebooter is inherited from CDazzleApp
	srand(time(NULL));

	FB.SetGfx(1024, 768, 32, true);


	if(FB.Init() < 0)	return -1;
	if(FB.CreateScene() < 0)	return -1;
	FB.scene->lightsEnabled_b = true;
	FB.scene->texturesEnabled_b = true;
	FB.scene->shadowsEnabled_b = false;
	

	StartFreebooter();	// loading (& intro?)

	RunFreebooter();

//	CloseFreebooter();

	// it really is that simple. cough, cough...
	return 0;

}

CFreebooter::CFreebooter(void)
{
}

CFreebooter::~CFreebooter(void)
{
}

int CFreebooter::CreateScene()
{
	this->scene = new(CGalaxy);
	return 0;
}
