/***************************************************************************
 *   Copyright (C) 2004 by Murray Evans                                    *
 *   m.evans@rdg.ac.uk                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef DAZZLE_FACE
#define DAZZLE_FACE

#include "DynArray.h"

class CFace
{
public:
	CFace(void);
	~CFace(void);
	// a face is part of a mesh, and is a triangular fragment of an infinite
    // plane :)
    // although it needn't be restricted to being triangular of course...
    // it indexes into the lists of a mesh, to see which points, uvpoints, normals
    // etc that it need use.
	CDynArray<int> p;
    CDynArray<int> uv;
    CDynArray<int> n;
    int         fn;

	
};

#endif
