/***************************************************************************
 *   Copyright (C) 2004 by Murray Evans                                    *
 *   m.evans@rdg.ac.uk                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef DAZZLE_SIMPLEPARTICLE
#define DAZZLE_SIMPLEPARTICLE
#include "ModelEntity.h"

class CSimpleParticle :
	public CModelEntity
{
public:
	CSimpleParticle(void);
	~CSimpleParticle(void);

	void Render();	// redefine inherited render
	int  life;		// number of updates before drawing stops

	float size_f;	// radius (rememberingthat things are square)

	// colours
	float r_f;
	float g_f;
	float b_f;
	float a_f;
	void SetColour(float in_R, float in_G, float in_B, float in_A);
	void Update();
};

#endif
